ghc-mod-5.6.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Info

Synopsis

- info :: IOish m => FilePath -> Expression -> GhcModT m String
- types :: IOish m => Bool -> FilePath -> Int -> Int -> GhcModT m String

# Documentation

info #

Arguments

:: IOish m |
=> FilePath | A target file.
-> Expression | A Haskell expression.
-> GhcModT m String |

Obtaining information of a target expression. (GHCi's info:)

types #

Arguments

:: IOish m |
=> Bool | Include constraints into type signature
-> FilePath | A target file.
-> Int | Line number.
-> Int | Column number.
-> GhcModT m String |

Obtaining type of a target expression. (GHCi's type:)